##
##  fly.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2009 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         fly
Summary:      Create Images on the Fly
URL:          http://martin.gleeson.com/fly/
Vendor:       Martin Gleeson
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Graphics
License:      MIT-style
Version:      2.0.1
Release:      20090617

#   list of sources
Source0:      http://martin.gleeson.com/fly/dist/fly-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, make, gcc
PreReq:       OpenPKG, openpkg >= 20060823
BuildPreReq:  gd, jpeg, png, zlib
PreReq:       gd, jpeg, png, zlib
AutoReq:      no
AutoReqProv:  no

%description
    Fly is a C program that creates PNG, JPEG or GIF images on the fly
    from CGI and other programs. Using Thomas Boutell's gd graphics
    library for fast image creation, it provides a command-file
    interface for creating and modifying images.

%track
    prog fly = {
        version   = %{version}
        url       = http://martin.gleeson.com/fly/installation.html
        regex     = fly-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %{l_shtool} subst \
        -e 's;^\(GD =\).*$;\1 gd;' \
        -e 's;^\(LIBDIRS =\).*$;\1 %{l_ldflags};' \
        -e 's;^\(INCDIRS =\).*$;\1 %{l_cppflags};' \
        -e 's;^\(CC =\).*$;\1 %{l_cc};' \
        -e 's;^\(CFLAGS =\).*$;\1 %{l_cflags -O} $(INCDIRS) $(LIBDIRS);' \
        -e 's;^\(LIBS =\).*$;\1 -lgd -lpng -ljpeg -lz -lm;' \
        Makefile

%build
    rm -f *.o
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT

    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        fly \
        $RPM_BUILD_ROOT%{l_prefix}/bin/

    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

